WLAN mit einem Lenovo ThinkPad Edge 11″ und Ubuntu 10.10 (Update am 24.04.2011)

Lenovo-thinkpad-edge-11-notebook

Die Think­Pad-Edge-Rei­he aus dem Hau­se Leno­vo ist eine optisch recht attrak­ti­ve und güns­ti­ge Mög­lich­keit, an ein Sub­note­book zu kom­men. Wun­der in Sachen Akku­lauf­zeit dür­fen hier natür­lich nicht erwar­tet wer­den. Aber das Note­book ist trotz des Sin­gle-Core-Pro­zes­sors von AMD, der in mei­nem Modell ver­baut ist recht zügig unter­wegs und deut­lich schnel­ler als jedes Atom-basie­ren­de Net­book. Das Dis­play ist auch als durch­aus ver­nünf­tig zu bezeich­nen, glei­ches gilt für die rest­li­che qua­li­ta­ti­ve Anmu­tung des Geräts. Ins­ge­samt für rund 330,- € ein wirk­lich schö­nes Gerät.

Unter Ubun­tu 10.10 haben sich aber zwei Pro­ble­me erge­ben:

  1. Der vom Sys­tem vor­ge­schla­ge­ne Trei­ber für den ver­bau­ten Gra­fik­chip (ATI Mobi­li­ty Rade­on HD 4225) scheint defekt zu sein. Sobald die­ser instal­liert ist, gibt es nur Gra­fik­feh­ler. Lasst also die Fin­ger von die­sem Trei­ber, nicht instal­lie­ren!
  2. WLAN geht nicht out-of-the-box. Das Pro­blem zu behe­ben ist aber kein The­ma, genau dar­um soll es hier gehen.

Als ers­tes benö­ti­gen wir den pas­sen­den Trei­ber. Lei­der scheint es für die­sen noch kein Paket in den Ubun­tu-Repo­sito­rys zu geben. Lässt man mit­tels des Befehls lsp­ci alle PCI-Gerä­te in dem Note­book aus­wer­fen, stösst man auf ein Gerät RTL8176, es han­delt sich also um einen Real­Tek-Chip. Nur scheint es kei­ne Trei­ber direkt für die­sen Chip zu geben. Wel­cher Trei­ber aber funk­tio­niert ist der für den RTL8192CE. Die­sen wie­der­um bie­tet Real­Tek auf sei­ner Home­page auch für Linux zum Down­load an.

UPDATE

Es gibt schein­bar mitt­ler­wei­le einen vor­kom­pi­lier­ten Trei­ber, den man mit­tels eines PPA auf ein­fa­che Art und Wei­se instal­lie­ren kann. Quel­le: https://answers.launchpad.net/ubuntu/+source/gnome-nettool/+question/132667

Gebt dazu ein­fach fol­gen­des in eure Ter­mi­nal ein:

sudo add-apt-repository ppa:lexical/hwe-wirelesssudo aptitude updatesudo aptitude install rtl8192ce-dkms

Ladet nun mit­tels wget den Trei­ber her­un­ter. Im Ter­mi­nal ist fol­gen­des ein­zu­ge­ben:

wget ftp://WebUser:[email protected]/cn/wlan/rtl8192ce_linux_2.6.0005.1116.2010.tar.gz

Ent­packt dann den Trei­ber:

tar xvfz rtl8192ce_linux_2.6.0005.1116.2010.tar.gz

Sofern noch nicht gesche­hen, soll­te jetzt das Ubun­tu-Paket build-essen­ti­al instal­liert wer­den.

sudo apt-get install build-essential

Jetzt muss der Trei­ber noch mit­tels

cd rtl8192ce_linux_2.6.0005.1116.2010/; sudo -s; make; make install

instal­liert wer­den. Nach einem Neu­start soll­te der WLAN-Chip aktiv und funk­ti­ons­tüch­tig sein. Wenn nicht, hin­ter­lasst bit­te einen Kom­men­tar.

Beteilige dich an der Unterhaltung

13 Kommentare

  1. Hal­lo, vie­len Dank für die Anlei­tung. Ich bin noch ein tota­ler Ubun­tu Neu­ling und habe ver­sucht, über dei­ne Schrit­te, das Wlan zum lau­fen zu bringen.Allerdings kommt es bei mir beim letz­ten Schritt zu einem Feh­ler und das wlan läuft wei­ter nicht. Ich hof­fe, dir sagt das etwas: make[1]: Ent­e­ring direc­to­ry ‘/usr/src/linux-headers‑2.6.35–22-generic’ Buil­ding modu­les, sta­ge 2. MODPOST 1 modulesmake[1]: Lea­ving direc­to­ry ‘/usr/src/linux-headers‑2.6.35–22-generic’make[1]: Ent­e­ring direc­to­ry ‘/usr/src/linux-headers‑2.6.35–22-generic’ Buil­ding modu­les, sta­ge 2. MODPOST 1 modulesmake[1]: Lea­ving direc­to­ry ‘/usr/src/linux-headers‑2.6.35–22-generic’make[1]: Ent­e­ring direc­to­ry ‘/home/aleks/Dokumente/rtl8192ce_linux_2.6.0005.1116.2010/HAL/rtl8192’make ‑C /lib/modules/2.6.35–22-generic/build M= CC=gcc modulesmake[2]: Ent­e­ring direc­to­ry ‘/usr/src/linux-headers‑2.6.35–22-generic’ CHK include/linux/version.h CHK include/generated/utsrelease.hmake[3]: *** No rule to make tar­get ‘kernel/bounds.c’, nee­ded by ‘kernel/bounds.s’. Stop.make[2]: *** [prepare0] Error 2make[2]: Lea­ving direc­to­ry ‘/usr/src/linux-headers‑2.6.35–22-generic’make[1]: *** [modu­les] Error 2make[1]: Lea­ving direc­to­ry ‘/home/aleks/Dokumente/rtl8192ce_linux_2.6.0005.1116.2010/HAL/rtl8192’make: *** [install] Error [email protected]:~/Dokumente/rtl8192ce_linux_2.6.0005.1116.2010$ Vieln Dank für dei­ne Hilfe.Liebe Grüße,Aleksandra

  2. <html><head></head><body style=“word-wrap: break-word; ‑web­kit-nbsp-mode: space; ‑web­kit-line-break: after-white-space; “>Hal­lo Aleksandra,<div><br></div><div>hast du vor dem make; make install; mal den Befehl „sudo ‑s“ eingegeben?<br><div><div><br></div><blockquote type=“cite”> <div style=“width: 600px; font-size: 12px; font-fami­ly: Ari­al, Hel­ve­ti­ca, sans-serif; line-height: 18px;” class=“PosterousEmail”></div></div></div></body></html>

  3. <html><head></head><body style=“word-wrap: break-word; ‑web­kit-nbsp-mode: space; ‑web­kit-line-break: after-white-space; “>Alter­na­tiv fie­le mir noch ein, dass dir wich­ti­ge Hea­der feh­len könn­ten. Mach mal ein&nbsp;<div><br></div><div>sudo apti­tu­de install build-essential</div><div><br></div><div>bevor du die make-Vor­gän­ge erneut aufrufst.<br><div><div><br></div><blockquote type=“cite”> <div style=“width: 600px; font-size: 12px; font-fami­ly: Ari­al, Hel­ve­ti­ca, sans-serif; line-height: 18px;” class=“PosterousEmail”></div></div></div></body></html>

  4. Hallo,Danke für die schnel­le Ant­wort. Habe nicht sudo ‑s ein­ge­ge­ben. Eigent­lich habe ich nur Ubun­tu 10.10 instal­liert und woll­te mich danach um das wlan küm­mern. Bis­lang ohne Erfolg. Ich kopie­re dir mal sudo apti­tu­de install build-essen­ti­al: Da kommt dann: sudo: apti­tu­de: com­mand not found.

  5. <html><head></head><body style=“word-wrap: break-word; ‑web­kit-nbsp-mode: space; ‑web­kit-line-break: after-white-space; “>Ups, ja, Ubun­tu 10.10 hat apti­tu­de nicht mehr vor­in­stal­liert. Ver­such mal<div><br></div><div>sudo apt-get install build-essential</div><div><br></div><div>Und dann noch mal sudo ‑s; make; make install;</div><div><br><div><div><br></div><blockquote type=“cite”> <div style=“width: 600px; font-size: 12px; font-fami­ly: Ari­al, Hel­ve­ti­ca, sans-serif; line-height: 18px;” class=“PosterousEmail”></div></div></div></body></html>

  6. Es hat geklappt! Super!! Vie­len Dank! Ich schrei­be dir gera­de über mein wire­less :)) Noch­mal vie­len dank! Das ist jetzt ein Licht­blick nach stun­den­lan­gem her­um­pro­bie­ren. Bin erst auf ubun­tu umge­stie­gen und ken­ne mich noch nicht so aus.Also vie­len Dank noch­mal 🙂

  7. <html><head></head><body style=“word-wrap: break-word; ‑web­kit-nbsp-mode: space; ‑web­kit-line-break: after-white-space; “>Gern gesche­hen. Wün­sche dir viel Spaß mit dem Sys­tem. Wenn du der eng­li­schen Spra­che mäch­tig bist, emp­feh­le ich dir drin­gend die regel­mä­ßi­ge Lek­tü­re von <a href=“http://www.omgubuntu.co.uk”>www.omgubuntu.co.uk</a&gt;, das bes­te Ubun­tu-Blog, das ich kenne.<div><br></div><div>Guten Rutsch wün­sche ich.<br><div><div><br></div><blockquote type=“cite”> <div style=“width: 600px; font-size: 12px; font-fami­ly: Ari­al, Hel­ve­ti­ca, sans-serif; line-height: 18px;” class=“PosterousEmail”></div></div></div></body></html>

  8. Vie­len Dank! Super Tutri­al und es hat alles wun­der­bar funk­tio­niert. Auch der Hin­weis für das erneu­te Instal­lie­ren nach einem dist-upgrade ist hilf­reich. 🙂 Dan­ke!

  9. Hallo,könntest Du das Note­book auch aufhttp://www.linuware.comhinzufügen und bewer­ten? Das wäre super!Dann wis­sen auch ande­re, was für ein Note­book sie sich ohne “böse Über­ra­schun­gen” zule­gen können.Kannst dort auch auf Dei­nen Blog verlinken.GrußPiccolino81

  10. Vie­len Dank für die tol­le Anlei­tung. Bin vor einem hal­ben Jahr dar­an ver­zwei­felt, kann­te aber auch nicht dei­ne Sei­te hier. Mit dem Ver­fah­ren im Update ging es kin­der­leicht.

  11. Hal­lo, hat­te nach einem Update auf ein­mal wie­der das Pro­blem, nur das die Anlei­tung jetzt nicht mehr funk­tio­niert. Habe alles wie beim letz­ten Mal, als es super funk­tio­nier­te, gemacht. Wo ist der Feh­ler? Kei­ne ande­re Anlei­tung hat bei mir jemals [email protected]:~$ sudo add-apt-repo­sito­ry ppa:lexical/hwe-wireless[sudo] pass­word for tobi­as: Exe­cu­ting: gpg –igno­re-time-con­flict –no-opti­ons –no-default-key­ring –secret-key­ring /etc/apt/secring.gpg –trustdb-name /etc/apt/trustdb.gpg –key­ring /etc/apt/trusted.gpg –pri­ma­ry-key­ring /etc/apt/trusted.gpg –key­ser­ver keyserver.ubuntu.com –recv 88B3CE2CE934D5F973CC26C80C5CE27EA088FF1Egpg: Schlüs­sel A088FF1E von hkp Ser­ver keyserver.ubuntu.com anfor­dern­g­pg: Schlüs­sel A088FF1E: “Launch­pad Keng-Yu’s PAA” nicht geän­dertg­pg: Anzahl ins­ge­samt bear­bei­te­ter Schlüs­sel: 1gpg: unver­än­dert: [email protected]:~$ sudo apt-get updateOK http://archive.canonical.com lucid Release.gpgIgn http://archive.canonical.com/ubuntu/ lucid/partner Trans­la­ti­on-de OK http://security.ubuntu.com lucid-secu­ri­ty Release.gpg Ign http://security.ubuntu.com/ubuntu/ lucid-secu­ri­ty­/­main Trans­la­ti­on-de Ign http://security.ubuntu.com/ubuntu/ lucid-secu­ri­ty­/­restric­ted Translation-deHole:1 http://dl.google.com sta­ble Release.gpg [198B] Ign http://dl.google.com/linux/chrome/deb/ stable/main Trans­la­ti­on-de OK http://de.archive.ubuntu.com lucid Release.gpg OK http://archive.canonical.com lucid Release OK http://de.archive.ubuntu.com/ubuntu/ lucid/main Trans­la­ti­on-de OK http://de.archive.ubuntu.com/ubuntu/ lucid/restricted Trans­la­ti­on-de OK http://de.archive.ubuntu.com/ubuntu/ lucid/universe Trans­la­ti­on-de OK http://de.archive.ubuntu.com/ubuntu/ lucid/multiverse Trans­la­ti­on-de OK http://de.archive.ubuntu.com lucid-updates Release.gpg Ign http://security.ubuntu.com/ubuntu/ lucid-secu­ri­ty­/­uni­ver­se Trans­la­ti­on-de Ign http://security.ubuntu.com/ubuntu/ lucid-secu­ri­ty­/­mul­ti­ver­se Trans­la­ti­on-deOK http://security.ubuntu.com lucid-secu­ri­ty Release Hole:2 http://dl.google.com sta­ble Release.gpg [198B] Ign http://dl.google.com/linux/talkplugin/deb/ stable/main Trans­la­ti­on-de OK http://ppa.launchpad.net lucid Release.gpg Ign http://ppa.launchpad.net/lexical/hwe-wireless/ubuntu/ lucid/main Trans­la­ti­on-deOK http://ppa.launchpad.net lucid Release.gpg Ign http://ppa.launchpad.net/mozillateam/firefox-stable/ubuntu/ lucid/main Trans­la­ti­on-deOK http://ppa.launchpad.net lucid Release.gpg Ign http://ppa.launchpad.net/odyx/usb-modeswitch/ubuntu/ lucid/main Trans­la­ti­on-deIgn http://de.archive.ubuntu.com/ubuntu/ lucid-updates/­main Trans­la­ti­on-de Ign http://de.archive.ubuntu.com/ubuntu/ lucid-updates/­restric­ted Translation-deHole:3 http://dl.google.com sta­ble Release [1.347B] Ign http://de.archive.ubuntu.com/ubuntu/ lucid-updates/­uni­ver­se Trans­la­ti­on-de Ign http://de.archive.ubuntu.com/ubuntu/ lucid-updates/­mul­ti­ver­se Translation-deHole:4 http://dl.google.com sta­ble Release [1.347B] OK http://de.archive.ubuntu.com lucid-pro­po­sed Release.gpg OK http://ppa.launchpad.net lucid Release OK http://ppa.launchpad.net lucid Release OK http://ppa.launchpad.net lucid Release OK http://de.archive.ubuntu.com/ubuntu/ lucid-pro­po­se­d/­restric­ted Trans­la­ti­on-deOK http://de.archive.ubuntu.com/ubuntu/ lucid-pro­po­se­d/­main Trans­la­ti­on-de OK http://archive.canonical.com lucid/partner Packa­ges OK http://de.archive.ubuntu.com/ubuntu/ lucid-pro­po­se­d/­mul­ti­ver­se Trans­la­ti­on-deOK http://de.archive.ubuntu.com/ubuntu/ lucid-pro­po­se­d/­uni­ver­se Trans­la­ti­on-deOK http://de.archive.ubuntu.com lucid Release OK http://security.ubuntu.com lucid-secu­ri­ty­/­main Packa­ges OK http://de.archive.ubuntu.com lucid-updates Release OK http://archive.canonical.com lucid/partner Sources OK http://linux.dropbox.com lucid Release.gpg Ign http://linux.dropbox.com/ubuntu/ lucid/main Trans­la­ti­on-de OK http://security.ubuntu.com lucid-secu­ri­ty­/­restric­ted Packa­ges OK http://security.ubuntu.com lucid-secu­ri­ty­/­main Sources OK http://security.ubuntu.com lucid-secu­ri­ty­/­restric­ted Sources OK http://security.ubuntu.com lucid-secu­ri­ty­/­uni­ver­se Packa­ges OK http://security.ubuntu.com lucid-secu­ri­ty­/­uni­ver­se Sources OK http://security.ubuntu.com lucid-secu­ri­ty­/­mul­ti­ver­se Packa­ges OK http://ppa.launchpad.net lucid/main Packa­ges OK http://de.archive.ubuntu.com lucid-pro­po­sed Release OK http://security.ubuntu.com lucid-secu­ri­ty­/­mul­ti­ver­se Sources OK http://ppa.launchpad.net lucid/main Packa­ges OK http://ppa.launchpad.net lucid/main Packa­ges OK http://de.archive.ubuntu.com lucid/main Packa­ges Hole:5 http://dl.google.com stable/main Packa­ges [1.234B]OK http://de.archive.ubuntu.com lucid/restricted Packa­ge­s­OK http://de.archive.ubuntu.com lucid/main Sources­OK http://de.archive.ubuntu.com lucid/restricted Sources­OK http://linux.dropbox.com lucid Release OK http://de.archive.ubuntu.com lucid/universe Packa­ges OK http://de.archive.ubuntu.com lucid/universe Sources OK http://de.archive.ubuntu.com lucid/multiverse Packa­ges OK http://de.archive.ubuntu.com lucid/multiverse Sources Ign http://de.archive.ubuntu.com lucid-updates/­main Packa­ges OK http://de.archive.ubuntu.com lucid-updates/­restric­ted Packa­ges Ign http://de.archive.ubuntu.com lucid-updates/­main Sources OK http://de.archive.ubuntu.com lucid-updates/­restric­ted Sources OK http://de.archive.ubuntu.com lucid-updates/­uni­ver­se Packa­ges OK http://de.archive.ubuntu.com lucid-updates/­uni­ver­se Sources OK http://de.archive.ubuntu.com lucid-updates/­mul­ti­ver­se Packa­ges OK http://de.archive.ubuntu.com lucid-updates/­mul­ti­ver­se Sources OK http://de.archive.ubuntu.com lucid-pro­po­se­d/­restric­ted Packa­ges OK http://de.archive.ubuntu.com lucid-pro­po­se­d/­main Packa­ges OK http://de.archive.ubuntu.com lucid-pro­po­se­d/­mul­ti­ver­se Packa­ges OK http://de.archive.ubuntu.com lucid-pro­po­se­d/­uni­ver­se Packa­ges OK http://linux.dropbox.com lucid/main Packa­ges Ign http://de.archive.ubuntu.com lucid-updates/­main Packa­ges Ign http://de.archive.ubuntu.com lucid-updates/­main Sources­Fehl http://de.archive.ubuntu.com lucid-updates/­main Packa­ges 416 Requested Ran­ge Not Satis­fia­ble [IP: 141.30.13.20 80]Fehl http://de.archive.ubuntu.com lucid-updates/­main Sources 416 Requested Ran­ge Not Satis­fia­ble [IP: 141.30.13.20 80]Hole:6 http://dl.google.com stable/main Packa­ges [748B]Es wur­den 5.072B in 2s geholt (2.477B/s)W: Fehl­schlag beim Holen von http://de.archive.ubuntu.com/ubuntu/dists/lucid-updates/main/binary-amd64/Packages.gz 416 Requested Ran­ge Not Satis­fia­ble [IP: 141.30.13.20 80]W: Fehl­schlag beim Holen von http://de.archive.ubuntu.com/ubuntu/dists/lucid-updates/main/source/Sources.gz 416 Requested Ran­ge Not Satis­fia­ble [IP: 141.30.13.20 80]E: Eini­ge Index­datei­en konn­ten nicht her­un­ter­ge­la­den wer­den, sie wur­den igno­riert oder alte an ihrer Stel­le [email protected]:~$ sudo apt-get install rtl8192ce-dkms­Pa­ket­lis­ten wer­den gele­sen… Fer­ti­g­Ab­hän­gig­keits­baum wird auf­ge­baut Sta­tus-Infor
    mati
    onen ein­le­sen… Fer­ti­grt­l8192ce-dkms ist schon die neu­es­te Version.0 aktua­li­siert, 0 neu instal­liert, 0 zu ent­fer­nen und 12 nicht [email protected]:~$

  12. <div> Also eigent­lich sieht das ja gut aus. Was funk­tio­niert denn jetzt nicht? Kann der Trei­ber nicht gela­den wer­den? Zwi­schen Ubun­tu 10.10 und Ubun­tu 11.10 hat sich eini­ges ver­än­dert, damit wird es sicher­lich zu tun haben. Da ich das Gerät mitt­ler­wei­le nicht mehr ein­set­ze, kann ich dazu lei­der nicht viel sagen, sor­ry. </div>

Schreib einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.